Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTVisitor

All Known Implementing Classes:
  `ASTGenericVisitor`, `CPPASTVisitor`

public interface ICPPASTVisitor
Interface for visitors to visit c-specific nodes.

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`int`
`leave(ICPPASTCompositeTypeSpecifier.ICPPASTBaseSpecifier baseSpecifier)`
Visits a base class specifier of a composite type.
`int`
`leave(ICPPASTNamespaceDefinition namespaceDefinition)`
Visits a namespace definition.
`int`
`leave(ICPPASTTemplateParameter templateParameter)`
Visits a template parameter.
`int`
`visit(ICPPASTCompositeTypeSpecifier.ICPPASTBaseSpecifier baseSpecifier)`
Visits a base class specifier of a composite type.
`int`
`visit(ICPPASTNamespaceDefinition namespaceDefinition)`
Visits a namespace definition.
`int`
`visit(ICPPASTTemplateParameter templateParameter)`
Visits a template parameter.

## Method Details

### visit

int visit(ICPPASTCompositeTypeSpecifier.ICPPASTBaseSpecifier baseSpecifier)
Visits a base class specifier of a composite type.

Returns:
  `ASTVisitor.PROCESS_CONTINUE`, `ASTVisitor.PROCESS_SKIP` or `ASTVisitor.PROCESS_ABORT`

### leave

int leave(ICPPASTCompositeTypeSpecifier.ICPPASTBaseSpecifier baseSpecifier)
Visits a base class specifier of a composite type.

Returns:
  `ASTVisitor.PROCESS_CONTINUE` or `ASTVisitor.PROCESS_ABORT`

### visit

int visit(ICPPASTNamespaceDefinition namespaceDefinition)
Visits a namespace definition.

Returns:
  `ASTVisitor.PROCESS_CONTINUE`, `ASTVisitor.PROCESS_SKIP` or `ASTVisitor.PROCESS_ABORT`

### leave

int leave(ICPPASTNamespaceDefinition namespaceDefinition)
Visits a namespace definition.

Returns:
  `ASTVisitor.PROCESS_CONTINUE` or `ASTVisitor.PROCESS_ABORT`

### visit

int visit(ICPPASTTemplateParameter templateParameter)
Visits a template parameter.

Returns:
  `ASTVisitor.PROCESS_CONTINUE`, `ASTVisitor.PROCESS_SKIP` or `ASTVisitor.PROCESS_ABORT`

### leave

int leave(ICPPASTTemplateParameter templateParameter)
Visits a template parameter.

Returns:
  `ASTVisitor.PROCESS_CONTINUE` or `ASTVisitor.PROCESS_ABORT`